> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Processor Batch Payout ( STABLE )

> This API retrieves the details of a processor batch payout using the unique batch payout UUID. The response provides comprehensive information about the payout, including the total amount and a detailed breakdown of the transactions.



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /3p/api/v2/batch-payouts/processor/{batch_payout_uuid}
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v2/batch-payouts/processor/{batch_payout_uuid}:
    get:
      tags:
        - Payouts
        - Stable
      summary: Get Processor Batch Payout ( STABLE )
      description: >-
        This API retrieves the details of a processor batch payout using the
        unique batch payout UUID. The response provides comprehensive
        information about the payout, including the total amount and a detailed
        breakdown of the transactions.
      operationId: 0bfcc7b2d772e9b7ec1e466b863fa75a
      parameters:
        - name: batch_payout_uuid
          in: path
          description: UUID of the batch payout
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Processor batch payout details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2ProcessorBatchPayoutResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Processor Batch Payout not found.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: object
                    example: null
                    nullable: true
                  error_code:
                    type: string
                    example: null
                    nullable: true
                type: object
      security:
        - ApiToken: []
components:
  schemas:
    V2ProcessorBatchPayoutResponse:
      properties:
        status:
          type: boolean
          example: true
        message:
          type: string
          example: ''
        data:
          properties:
            uuid:
              type: string
              format: uuid
              example: ec0eb270-b656-4ffe-8799-66508ad48e18
            amount:
              type: number
              format: integer
              example: 4400
            trace_id:
              type: string
              example: ach_11kt6v9715jp67t
            payout_status:
              type: string
              example: PAYOUT_COMPLETE
            ach_return_code:
              type: string
              example: null
              nullable: true
            failure_reason:
              type: string
              example: null
              nullable: true
            modality:
              properties:
                payment_rail:
                  type: string
                  example: fednow
                speed:
                  type: string
                  example: instant
              type: object
            transactions:
              type: array
              items:
                properties:
                  transaction_uuid:
                    type: string
                    format: uuid
                    example: 9ccf5706-dff0-46c7-bf74-4e34dc998485
                  amount:
                    type: number
                    format: integer
                    example: 2200
                  transaction_fee:
                    type: number
                    format: integer
                    example: 0
                  trace_id:
                    type: string
                    example: ach_11kt5sew15jj2dp
                  capture_status:
                    type: string
                    example: CAPTURE_COMPLETE
                  ach_return_code:
                    type: string
                    example: null
                    nullable: true
                  failure_reason:
                    type: string
                    example: null
                    nullable: true
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-02-15 12:15:15'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-02-16 14:15:15'
                type: object
            vendor_name:
              type: string
              example: Vendor-1
            created_at:
              type: string
              format: date-time
              example: '2025-02-17 11:15:15'
            updated_at:
              type: string
              format: date-time
              example: '2025-02-18 17:15:15'
          type: object
        errors:
          type: string
          example: null
          nullable: true
        error_code:
          type: string
          example: null
          nullable: true
      type: object
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````